Bug 41626 - The MathML mtext element should use a regular font by default
Summary: The MathML mtext element should use a regular font by default
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: MathML (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Intel OS X 10.6
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-05 11:23 PDT by François Sausset
Modified: 2010-07-12 05:43 PDT (History)
2 users (show)

See Also:


Attachments
Test case (455 bytes, application/xhtml+xml)
2010-07-05 11:23 PDT, François Sausset
no flags Details
Patch (93.50 KB, patch)
2010-07-05 11:32 PDT, François Sausset
no flags Details | Formatted Diff | Diff
Updated test results (28.05 KB, patch)
2010-07-10 11:14 PDT, François Sausset
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description François Sausset 2010-07-05 11:23:02 PDT
Created attachment 60558 [details]
Test case

The only element that should use italic fonts by default is the <mi> one.

See the test case.
Comment 1 François Sausset 2010-07-05 11:32:24 PDT
Created attachment 60560 [details]
Patch

Patch to respect the standard MathML 3 behaviour of mtext.
Comment 2 Beth Dakin 2010-07-08 13:48:04 PDT
Comment on attachment 60560 [details]
Patch

Looks good!
Comment 3 WebKit Commit Bot 2010-07-08 15:29:31 PDT
Comment on attachment 60560 [details]
Patch

Rejecting patch 60560 from commit-queue.

Failed to run "['WebKitTools/Scripts/run-webkit-tests', '--no-launch-safari', '--exit-after-n-failures=1', '--ignore-tests', 'compositing', '--quiet']" exit_code: 1
Running build-dumprendertree
Compiling Java tests
make: Nothing to be done for `default'.
Running tests from /Users/eseidel/Projects/CommitQueue/LayoutTests
Testing 20619 test cases.
fast/loader/recursive-before-unload-crash.html -> failed

Exiting early after 1 failures. 14200 tests run.
230.89s total testing time

14199 test cases (99%) succeeded
1 test case (<1%) had incorrect layout
1 test case (<1%) had stderr output

Full output: http://webkit-commit-queue.appspot.com/results/3431051
Comment 4 Kenneth Rohde Christiansen 2010-07-09 06:47:54 PDT
Comment on attachment 60560 [details]
Patch

Doesn't seem related, let's readd it to the cq.
Comment 5 WebKit Commit Bot 2010-07-09 07:11:27 PDT
Comment on attachment 60560 [details]
Patch

Clearing flags on attachment: 60560

Committed r62948: <http://trac.webkit.org/changeset/62948>
Comment 6 WebKit Commit Bot 2010-07-09 07:11:32 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 François Sausset 2010-07-10 11:14:06 PDT
Created attachment 61158 [details]
Updated test results

In the previous patch, test results were outdated compared to the xhtml test file.
This patch just updates them.
Comment 8 François Sausset 2010-07-10 11:16:24 PDT
Reopen the bug to make commit-queue work when the patch will be reviewed.
Comment 9 WebKit Commit Bot 2010-07-12 05:43:47 PDT
Comment on attachment 61158 [details]
Updated test results

Clearing flags on attachment: 61158

Committed r63075: <http://trac.webkit.org/changeset/63075>
Comment 10 WebKit Commit Bot 2010-07-12 05:43:52 PDT
All reviewed patches have been landed.  Closing bug.